// ■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
//
// JSONファイルのパラメータ名
//
// ■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
class SbJSON {
	static SCORE_1P				= "pScore1";
	static SCORE_2P				= "pScore2";
	static STAR_1P				= "pStar1";
	static STAR_2P				= "pStar2";
	static HIDE_MEMBER			= "hideMember";
	static HIDE_NOW_MEMBER		= "hideNowMember";
	static MAIN_ANIMATION		= "mainAnimation";
	static WIN_ANIME			= "winAnime";
	static STINGER				= "stinger";
	static STAGE				= "stage";
	static PLAYER_NAME_1P		= "pName1";
	static PLAYER_NAME_2P		= "pName2";
	static PLAYER_COMM_1P		= "pComm1";
	static PLAYER_COMM_2P		= "pComm2";
	static PLAYER_LOGO_1P		= "pLogo1";
	static PLAYER_LOGO_2P		= "pLogo2";
	static PLAYER_NOW_1P		= "pNowName1";
	static PLAYER_NOW_2P		= "pNowName2";
	static PLAYER_BACK_1P		= "pBack1";
	static PLAYER_BACK_2P		= "pBack2";
	static PLAYER_LOSER_1P		= "pLoser1";
	static PLAYER_LOSER_2P		= "pLoser2";
	static MEMBER_ORDER_1P		= "mOrder1";
	static MEMBER_ORDER_2P		= "mOrder2";
	static MEMBER_NAME_1P		= "mName1";
	static MEMBER_NAME_2P		= "mName2";
	static MEMBER_COMM_1P		= "mComm1";
	static MEMBER_COMM_2P		= "mComm2";
	static MEMBER_BACK_1P		= "mBack1";
	static MEMBER_BACK_2P		= "mBack2";
	static MEMBER_LOSER_1P		= "mLoser1";
	static MEMBER_LOSER_2P		= "mLoser2";
	static MEMBER_LIFE_1P		= "mLife1";
	static MEMBER_LIFE_2P		= "mLife2";
	static BOTTOM_VIEW			= "bottomView";
	static LB_VIEW_ROUND		= "LBViewRound";
	static LB_ADD_DRAW			= "LBAddDraw";
	static LB_SCORES			= "LBScores";
	static LB_SCORES_1P			= "LBscores1";
	static LB_SCORES_2P			= "LBscores2";
	static NEXT_NAME_1P			= "pNextName1";
	static NEXT_NAME_2P			= "pNextName2";
	static BOTTOM_IMAGE			= "bottomImage";
	static BOTTOM_SIZE			= "bottomSize";
	static BOTTOM_TEXT			= "bottomText";
	static FONT					= "scFont";
	static SKIN					= "scSkin";
	static HIDE_SCORE			= "hideScore";
	static STAR_MAX				= "winStar";
	static FIX_MEMBER_HEIGHT	= "fixMemberHeight";
	static MAX_MEMBER_LIVES		= "maxMemberLives";
	static LOGO_SETTING			= "logoSetting";
	static EVENT_NAME			= "eventName";
	static EVENT_SWITCH			= "eventSwitch";
	static REMOTE_SWITCH		= "remoteSwitch";
	static REMOTE_WEBAPI		= "remoteWebAPI";
	static STINGER_TYPE			= "stingerType";
	static STINGER_AFTER		= "stingerAfter";
	static STINGER_TEXT_TYPE	= "stingerTextType";
	static STINGER_TEXT			= "stingerText";
	static STINGER_WINDOW		= "stingerWindow";
	static STINGER_IMAGE		= "stingerImage";
	static TIMESTAMP			= "timestamp";
}

const JSON_SCORE		= [SbJSON.SCORE_1P, 		SbJSON.SCORE_2P];
const JSON_STAR			= [SbJSON.STAR_1P, 			SbJSON.STAR_2P];
const JSON_PLAYER_NAME	= [SbJSON.PLAYER_NAME_1P,	SbJSON.PLAYER_NAME_2P];
const JSON_PLAYER_COMM	= [SbJSON.PLAYER_COMM_1P,	SbJSON.PLAYER_COMM_2P];
const JSON_PLAYER_LOGO	= [SbJSON.PLAYER_LOGO_1P,	SbJSON.PLAYER_LOGO_2P];
const JSON_PLAYER_NOW	= [SbJSON.PLAYER_NOW_1P,	SbJSON.PLAYER_NOW_2P];
const JSON_PLAYER_BACK	= [SbJSON.PLAYER_BACK_1P,	SbJSON.PLAYER_BACK_2P];
const JSON_PLAYER_LOSER	= [SbJSON.PLAYER_LOSER_1P,	SbJSON.PLAYER_LOSER_2P];
const JSON_MEMBER_ORDER	= [SbJSON.MEMBER_ORDER_1P,	SbJSON.MEMBER_ORDER_2P];
const JSON_MEMBER_NAME	= [SbJSON.MEMBER_NAME_1P,	SbJSON.MEMBER_NAME_2P];
const JSON_MEMBER_COMM	= [SbJSON.MEMBER_COMM_1P,	SbJSON.MEMBER_COMM_2P];
const JSON_MEMBER_BACK	= [SbJSON.MEMBER_BACK_1P,	SbJSON.MEMBER_BACK_2P];
const JSON_MEMBER_LOSER	= [SbJSON.MEMBER_LOSER_1P,	SbJSON.MEMBER_LOSER_2P];
const JSON_MEMBER_LIFE	= [SbJSON.MEMBER_LIFE_1P,	SbJSON.MEMBER_LIFE_2P];
const JSON_LB_SCORE		= [SbJSON.LB_SCORES_1P,		SbJSON.LB_SCORES_2P];
const JSON_NEXT_NAME	= [SbJSON.NEXT_NAME_1P,		SbJSON.NEXT_NAME_2P];
