// ■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
//
//	アニメーションクラス
//
// ■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■

class YmsbMember extends YmsbAnime {

	constructor(txtOp, txtCSS, txtVorh, txtFrom, txtDelay, boxOp, boxCSS, boxVorh, boxFrom, boxDelay) {
		super(txtOp, txtCSS, txtVorh, txtFrom, txtDelay, boxOp, boxCSS, boxVorh, boxFrom, boxDelay);
	}

	animeUpdateBox(setBoxCSS, imgURL, cssBoxProp, isBoxChange) {
		if		(("" != this.boxCurrURL || "" != this.boxCurrCSS) && ("" == imgURL) && ("" == cssBoxProp)) {
			this.animeOffImg();
		}
		else if	(("" == this.boxCurrURL && "" == this.boxCurrCSS) && ("" != imgURL || "" != cssBoxProp)) {
			this.animeOnImg(imgURL, cssBoxProp, isBoxChange);
		}
		else if	((imgURL == this.boxCurrURL) && (JSON.stringify(cssBoxProp) === JSON.stringify(this.boxCurrCSS))){
			// nop
		}
		else {
			let moveX = "0px";
			let moveY = "0px";
			if (YMSB_VIRT == this.boxVorh) { moveY = this.boxFrom; }
			else { moveX = this.boxFrom; } // YMSB_HORI
			gsap.to(setBoxCSS,{duration: ANI_DUR_BASE, delay: ANI_DELY_UPDATE,
				backgroundColor: cssBoxProp["background-color"],
				borderColor: cssBoxProp["border-color"],
				top: cssBoxProp["top"],
				height: cssBoxProp["height"],
				backgroundBlendMode: cssBoxProp["background-blend-mode"],
				onComplete: YmsbAnime.callBackImageUpdate(setBoxCSS, imgURL, cssBoxProp)
				});
			this.boxCurrURL = imgURL;
			this.boxCurrCSS = cssBoxProp;
		}
	}
}
