// ■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
//
//	ステージ名の更新・アニメーション表示
//
// ■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■

// ■■ ステージ名クラス
class YmsbStageCheck extends YmsbCheck {
	constructor(txtFrom, boxFrom) {
		super();
		this.stage = new YmsbAnime(
			1.0, SbCSS.TXT_STAGE, YMSB_VIRT, txtFrom, ANI_DELY_ON_TXT_STAGE, 
			1.0, SbCSS.BOX_STAGE, YMSB_VIRT, boxFrom, ANI_DELY_ON_BOX_STAGE);
	}

	animeRestart() {
		this.stage.animeRestart();
	}

	// 処理切り分け
	checkData() {
		const txtNew		= jsonData[SbJSON.STAGE];
		const skinNumber	= cSkin.currSkinURL;
		const imgURL		= skinNumber + FILE_BOX_STAGE;
		if		(YMSB_OFF_ON == currScoreBoard) {
			this.stage.animeOn(txtNew, "", "", imgURL, "", false);
		}
		else if (YMSB_ON_OFF == currScoreBoard) {
			this.stage.animeOff();
		}
		else if	(YMSB_ON == currScoreBoard) {
			if (this.stage.txtCurr != txtNew) {
				this.stage.animeUpdate(txtNew, "", "", imgURL, "", false);
			}
		}
		else {
			// nop
		}
		return this.stage.isAniUpdate;
	}
}
