const TABLE_LANG_LB =
	[ [   "#upload"
		, "#swap"
		, "#clearAll"
		, "#loadCSV"
		, "#saveCSV"
		, "#init"
		, "#help"
		, "#lHideNowMember"
		, "#lHideMember"
		, "#lMain"
		, "#lWinAnime"
		, "#lStinger"
		, "#lLang"
		, "#lBottomView"
		, "#lLBScore"
		, "#lNextBattle"
		, "#lBottomImage"
		, "#lBottomText"
		, "#lFont"
		, "#lSkin"
		, "#lHideScore"
		, "#lWinStar"
		, "#lBottomSize"
		, "#lFixMemberHeight"
		, "#lMaxMemberLives"
		, "#lLogoSetting"
		, "#lEventName"
		, "#lEventSwitch"
		, "#lStage"
		, "#lRemoteSwitch"
		, "#lRemoteWebAPI"
		, "#lStingerType"
		, "#lStingerAfter"
		, "#lStingerTextType"
		, "#lStingerText"
		, "#lStingerWindow"
		, "#lStingerImage"
	]
	, [	  '<i class="fa-regular fa-floppy-disk"></i> UPLOAD<p class="tooltip-button">Upload these data to the scoreboard.</p>'
		, '<i class="fa-solid fa-right-left"></i> SWAP<p class="tooltip-button">Swap data between 1P side and 2P side.</p>'
		, '<i class="fa-solid fa-trash-can"></i> Clear ALL<p class="tooltip-button">Clear all data.</p>'
		, '<i class="fa-solid fa-file-csv"></i> Load CSV<p class="tooltip-button">Load CSV file and display to [CSV] tab.</p>'
		, '<i class="fa-solid fa-file-csv"></i> Save CSV<p class="tooltip-button">Save 1P side data to CSV file.</p>'
		, '<i class="fa-solid fa-play"></i> Init<p class="tooltip-button">Press this first when you open this.</p>'
		, '<i class="fa-solid fa-question"></i> Help<p class="tooltip-button">Display faq page. (japanese)</p>'
		, 'Current players<p class="tooltip-top">Whether to show players in a match.</p>'
		, 'Team Members<p class="tooltip-top">Whether to show team members in team battle.</p>'
		, 'Score Board<p class="tooltip-top">Whether to show score board.</p>'
		, 'Winner Animation<p class="tooltip-top">Whether to show animation celebrating the winner.</p>'
		, 'Stinger<p class="tooltip-top">Specify the screen after stinger execution.</p>'
		, 'Language'
		, 'Display at the bottom'
		, 'Scores of FT10<p class="tooltip">Check the side that get the set.<br>If DRAW, check both side.</p>'
		, 'Next Battle'
		, 'Bottom Image<p class="tooltip">Enter file name without extension.<br>Beforehand, store the file to [imgs/common/user].</p>'
		, 'Bottom Text<p class="tooltip">Enter text that you want to display.<br>It is recommended to enter from the second line.</p>'
		, 'Fonts<p class="tooltip">Select the font to use.<br>These can also be displayed in Japanese.</p>'
		, 'Skins<p class="tooltip">Select the skin to use.</p>'
		, 'Show Scores<p class="tooltip">Whether to show scores or not.<br>Scores linked to lives can also be selected.</p>'
		, 'Show Stars<p class="tooltip">Whether to show member\'s scores or not</p>'
		, 'Size of Bottom Image<p class="tooltip">*Only specific templates.<br>Select image size at the bottom.</p>'
		, 'Space Among Members<p class="tooltip">*Up to 5 members.<br>Select space among members.</p>'
		, 'Max Life of Members<p class="tooltip"></p>'
		, 'Logo Position<p class="tooltip">Select the position where you want the logo to show.</p>'
		, 'Event Name'
		, 'Event Name Position<p class="tooltip">Select the display position of the event name</p>'
		, 'Stage Name'
		, 'Remote Control<p class="tooltip">Whether to operate remotely.</p>'
		, 'WebAPI\'s URL<p class="tooltip">Enter URL WebAPI of remote control.</p>'
		, 'Image Type (Start)<p class="tooltip">Select the animation at the beginning of the stinger.</p>'
		, 'Image Type (End)<p class="tooltip">Select the animation at the end of the stinger.</p>'
		, 'Text Type<p class="tooltip">Select Stinger Text Animation.</p>'
		, 'Whether to Include Text<p class="tooltip">Select whether to include text in the stinger.</p>'
		, 'Image File of Stinger<p class="tooltip">If you want to use other image at stinger, enter file name without extension.<br>Beforehand, store the file to [imgs/common/user].</p>'
		, 'Image After Stinger<p class="tooltip">If you want to use other image at after stinger, Enter file name without extension.<br>Beforehand, store the file to [imgs/common/user].</p>'
	]
	, [	  '<i class="fa-regular fa-floppy-disk"></i> UPLOAD<p class="tooltip-button">スコアボードに<br>データを反映させます</p>'
		, '<i class="fa-solid fa-right-left"></i> SWAP<p class="tooltip-button">１Ｐ側と２Ｐ側の<br>データを入れ替えます</p>'
		, '<i class="fa-solid fa-trash-can"></i> Clear ALL<p class="tooltip-button">すべてのデータを<br>クリアします</p>'
		, '<i class="fa-solid fa-file-csv"></i> Load CSV<p class="tooltip-button">ＣＳＶファイルを読み込み<br>ＣＳＶタブに表示します</p>'
		, '<i class="fa-solid fa-file-csv"></i> Save CSV<p class="tooltip-button">ＣＳＶファイルに<br>１Ｐ側のデータを書き込みます</p>'
		, '<i class="fa-solid fa-play"></i> Init<p class="tooltip-button">ＹＭＳＢを開いたら<br>最初に実行してください</p>'
		, '<i class="fa-solid fa-question"></i> Help<p class="tooltip-button">よくある質問集をまとめた<br>外部サイトを表示します</p>'
		, '対戦中メンバー表示<p class="tooltip-top">対戦中プレイヤーの<br>表示・非表示を切り替えます</p>'
		, 'チームメンバー表示<p class="tooltip-top">団体戦チームメンバーの<br>表示・非表示を切り替えます</p>'
		, 'スコアボード表示<p class="tooltip-top">スコアボードの表示・非表示を切り替えます</p>'
		, '勝利アニメーション<p class="tooltip-top">勝利サイドを称える画像を表示します</p>'
		, 'スティンガー後の表示先<p class="tooltip-top">画面を切り替えるための<br>アニメーションを実施します</p>'
		, '言語'
		, '最下段に表示するもの'
		, '１０先スコア<p class="tooltip">セット取得した側にチェック<br>両者にチェックするとドロー表示</p>'
		, '次の対戦カード'
		, '表示する画像<p class="tooltip">[imgs/common/user]にファイルを格納し<br>拡張子なしのファイル名を記入してください</p>'
		, '表示するテキスト<p class="tooltip">最下段に表示するテキストを記入してください<br>２段目から記入することを推奨します<br>（ゲージ等に被る恐れがあるため）</p>'
		, '使用フォント<p class="tooltip">使用するフォントを指定してください</p>'
		, '使用スキン<p class="tooltip">使用するスキンを選択してください</p>'
		, 'スコア表示<p class="tooltip">スコアの表示・非表示を切り替えます<br>ライフと連動したスコアも表示可能です</p>'
		, 'メンバー勝ち星表示<p class="tooltip">団体戦時のメンバースコアを<br>表示するかを切り替えます</p>'
		, '下段画像のサイズ<p class="tooltip">下段に表示する画像サイズを<br>切り替えます<br>※特定のテンプレートのみ有効</p>'
		, 'メンバー間のスペース<p class="tooltip">メンバー間のスペースを<br>空けるか詰めるかを選択できます<br>※メンバーが５人以下の場合に有効</p>'
		, 'メンバーの最大ライフ<p class="tooltip">団体戦時のライフを設定します</p>'
		, 'ロゴの表示位置<p class="tooltip">ロゴを表示させる位置を選択します</p>'
		, 'イベント名'
		, 'イベント名の位置<p class="tooltip">イベント名の表示を切り替えます</p>'
		, 'ステージ名'
		, '遠隔操作<p class="tooltip">遠隔操作を行うかを選択します</p>'
		, '遠隔操作のWebAPI<p class="tooltip">WebAPIのURLを記入してください</p>'
		, 'スティンガー（画像）<p class="tooltip">スティンガーの画像アニメーションを<br>指定してください</p>'
		, 'スティンガー（後半）<p class="tooltip">スティンガーの終わり方を指定してください</p>'
		, 'スティンガー（テキスト）<p class="tooltip">スティンガーに載せるテキストの<br>アニメーションを指定してください</p>'
		, '使用するテキストの種類<p class="tooltip">スティンガーにテキストを載せるか<br>指定してください</p>'
		, 'スティンガー画像<p class="tooltip">[imgs/common/user]にファイルを格納し<br>拡張子なしのファイル名を記入してください</p>'
		, 'スティンガー後の画像<p class="tooltip">[imgs/common/user]にファイルを格納し<br>拡張子なしのファイル名を記入してください</p>'
	]
];

const TABLE_LANG_LB_MAIN =
	[ [ "#lTeamNo1", "#lTeamNo2"]
	, [ "#lName1", "#lName2"]
	, [ "#lComm1", "#lComm2"]
	, [ "#lLogo1", "#lLogo2"]
	, [ "#lNowName1", "#lNowName2"]
	, [ "#lBack1", "#lBack2"]
	, [ "#lName1_01"	, "#lName1_02"	, "#lName1_03"	, "#lName1_04"	, "#lName1_05"	, "#lName1_06"	, "#lName1_07"	, "#lName1_08"	, "#lName1_09"
	,	"#lName1_10"	, "#lName1_11"	, "#lName1_12"	, "#lName1_13"	, "#lName1_14"	, "#lName1_15"	, "#lName1_16"	, "#lName1_17"	, "#lName1_18"
	,	"#lName2_01"	, "#lName2_02"	, "#lName2_03"	, "#lName2_04"	, "#lName2_05"	, "#lName2_06"	, "#lName2_07"	, "#lName2_08"	, "#lName2_09"
	,	"#lName2_10"	, "#lName2_11"	, "#lName2_12"	, "#lName2_13"	, "#lName2_14"	, "#lName2_15"	, "#lName2_16"	, "#lName2_17"	, "#lName2_18"]
	, [ "#lComm1_01"	, "#lComm1_02"	, "#lComm1_03"	, "#lComm1_04"	, "#lComm1_05"	, "#lComm1_06"	, "#lComm1_07"	, "#lComm1_08"	, "#lComm1_09"
	,	"#lComm1_10"	, "#lComm1_11"	, "#lComm1_12"	, "#lComm1_13"	, "#lComm1_14"	, "#lComm1_15"	, "#lComm1_16"	, "#lComm1_17"	, "#lComm1_18"
	,	"#lComm2_01"	, "#lComm2_02"	, "#lComm2_03"	, "#lComm2_04"	, "#lComm2_05"	, "#lComm2_06"	, "#lComm2_07"	, "#lComm2_08"	, "#lComm2_09"
	,	"#lComm2_10"	, "#lComm2_11"	, "#lComm2_12"	, "#lComm2_13"	, "#lComm2_14"	, "#lComm2_15"	, "#lComm2_16"	, "#lComm2_17"	, "#lComm2_18"]
	, [ "#lBack1_01"	, "#lBack1_02"	, "#lBack1_03"	, "#lBack1_04"	, "#lBack1_05"
	,	"#lBack2_01"	, "#lBack2_02"	, "#lBack2_03"	, "#lBack2_04"	, "#lBack2_05"]
	];

const TABLE_LANG_LB_MAIN_DATA =
	[ [ "CSV No"	, "Name"	, "Comment" 	, "Logo"	, "Another Name"	, "Back Image *only FGC" 	, "Name"	, "Comment"		, "Member Back Image"]
	, [ "CSV番号"	, "名前"	, "コメント"	, "ロゴ"	, "別名など"		, "(forFGC)メンバー背景"	, "名前"	, "コメント"	, "背景画像"]
	];

const TABLE_LANG_OP_SHOW =
	[ [ "0"				, "1"]
	, [ "Show Member"	, "Hide Member"]
	, [ "表示する"		, "表示しない"]
	, [ true			, false]
	];
const TABLE_LANG_OP_SCOREBOARD =
	[ [ "0"				, "1"]
	, [ "OFF"			, "ON"]
	, [ "表示しない"	, "表示する"]
	, [ false			, true]
	];
const TABLE_LANG_OP_WINANIME =
	[ [ "0"				, "1"				, "2"]
	, [ "OFF"			, "ON(1P Side)"		, "ON(2P Side)"]
	, [ "表示しない"	, "表示する（１Ｐ）", "表示する（２Ｐ）"]
	, [ true			, false				, false]
	];
const TABLE_LANG_OP_STINGER =
	[ [ "0"					, "1"					, "2"				, "3"					, "4"]
	, [ "Show Play Window"	, "Show Center Image"	, "Show Next Battle", "Show Team Comment"	, "Show Player Comment"]
	, [ "ゲーム画面表示"	, "背景画像表示"		, "次カード表示"	, "チームコメント表示"	, "プレイヤーコメント表示"]
	, [ true				, false					, false				, false					, false]
	];
const TABLE_LANG_OP_BOTTOM =
	[ [ "0"			, "1"			, "2"				, "3"		, "4"]
	, [ "OFF"		, "FT10 Score"	, "Next Battle"		, "Image"	, "Text"]
	, [ "表示しない", "１０先スコア", "次の対戦カード"	, "画像"	, "テキスト"]
	, [ true		, false			, false				, false		, false]
	];
const TABLE_LANG_OP_FONT =
	[ [ "0"			, "1"					, "2"				, "3"					, "4"			, "5"						, "6"				, "7"]
	, [ "01 Mgen+"	, "02 Souoku-Mincho"	, "03 Genju-Gothic"	, "04 Togemaru-Gothic"	, "05 TanuGo"	, "06 Corporate Logo Ver2"	, "07 Dela-Gothic"	, "08 Mochiy Pop"]
	, [ "01 Mgen+"	, "02 装甲明朝"			, "03 源柔ゴシック"	, "04 棘丸ゴシック"		, "05 たぬゴ"	, "06 コーポレートロゴ Ver2", "07 デラゴシック"	, "08 モッチーポップ"]
	, [ true		, false					, false				, false					, false]
	];
const TABLE_LANG_OP_SCORE =
	[ [ "0"				, "1"]
	, [ "Show Scores"	, "Hide Scores"]
	, [ "表示する"		, "表示しない"]
	, [ true			, false				, false]
	];
const TABLE_LANG_OP_STAR =
	[ [ "0"				, "1"]
	, [ "OFF"			, "ON"]
	, [ "表示しない"	, "表示する"]
	, [ true			, false]
	];
const TABLE_LANG_OP_BOTTOM_IMAGE =
	[ [ "0"		, "1"]
	, [ "Short"	, "Long"]
	, [ "短い"	, "長い"]
	, [ true	, false]
	];
const TABLE_LANG_OP_AMONG_MEMBER =
	[ [ "0"			, "1"]
	, [ "Narrow"	, "Wide"]
	, [ "狭い"		, "広い"]
	, [ true		, false]
	];
const TABLE_LANG_OP_LOGO_POSITION =
	[ [ "0"			, "1"]
	, [ "Default"	, "Over Character Icon"]
	, [ "通常"		, "キャラクタアイコン上"]
	, [ true		, false]
	];
const TABLE_LANG_OP_EVENT_POSITION =
	[ [ "0"				, "1"				, "2"]
	, [ "OFF"			, "ON(Top)"			, "ON(Bottom)"]
	, [ "表示しない"	, "表示する（上部）", "表示する（下部）"]
	, [ true			, false				, false]
	];
const TABLE_LANG_OP_REMOTE =
	[ [ "0"			, "1"]
	, [ "OFF"		, "ON"]
	, [ "しない"	, "する"]
	, [ true		, false]
	];
const TABLE_LANG_OP_STINGER_TEXT =
	[ [ "0"						, "1"				, "2"]
	, [ "No Text"				, "Pleyer Names"	, "Event Name"]
	, [ "テキストを使わない"	, "プレイヤー名"	, "イベント名"]
	, [ false					, true				, false]
	];

const TABLE_LANG_OP_NAME =
	[ "hideNowMember", "hideMember", "mainAnimation", "winAnime", "stinger", "bottomView"
	, "scFont", "hideScore", "winStar", "bottomSize", "fixMemberHeight", "logoSetting", "eventSwitch", "remoteSwitch", "stingerText"
	];

const TABLE_LANG_OPTION = 
	[ TABLE_LANG_OP_NAME
	, TABLE_LANG_OP_SHOW
	, TABLE_LANG_OP_SHOW
	, TABLE_LANG_OP_SCOREBOARD
	, TABLE_LANG_OP_WINANIME
	, TABLE_LANG_OP_STINGER
	, TABLE_LANG_OP_BOTTOM
	, TABLE_LANG_OP_FONT
	, TABLE_LANG_OP_SCORE
	, TABLE_LANG_OP_STAR
	, TABLE_LANG_OP_BOTTOM_IMAGE
	, TABLE_LANG_OP_AMONG_MEMBER
	, TABLE_LANG_OP_LOGO_POSITION
	, TABLE_LANG_OP_EVENT_POSITION
	, TABLE_LANG_OP_REMOTE
	, TABLE_LANG_OP_STINGER_TEXT
	];

const setLanguage = (lang, isReload) => {
	const val	= 0;
	const sel	= 3;

	for (let i = 0; i < TABLE_LANG_LB[0].length; i++) {
		jQuery(TABLE_LANG_LB[0][i]).html(TABLE_LANG_LB[lang][i]);
	}

	let mainLang = lang - 1;
	for (let i = 0; i < TABLE_LANG_LB_MAIN.length; i++) {
		for (let tMain of TABLE_LANG_LB_MAIN[i]) {
			jQuery(tMain).html(TABLE_LANG_LB_MAIN_DATA[mainLang][i]);
		}
	}
	
	for (let i = 0; i < TABLE_LANG_OPTION[0].length; i++) {
		let elem = document.getElementById(TABLE_LANG_OPTION[0][i]);
		while (0 < elem.childNodes.length) {
			elem.removeChild(elem.childNodes[0]);
		}
		for (let j = 0; j < TABLE_LANG_OPTION[i+1][0].length; j++) {
			addOption = document.createElement("option");
			addOption.value				= TABLE_LANG_OPTION[i+1][val][j]
			addOption.innerText			= TABLE_LANG_OPTION[i+1][lang][j];
			addOption.defaultSelected	= TABLE_LANG_OPTION[i+1][sel][j];
			addOption = elem.appendChild(addOption);
		}
	}

	if (isReload) {
		jQuery('.tooltip-button, .tooltip-top, .tooltip').hide();
	}
}
