// ■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
//
//	ロゴ関連
//
// ■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
/*
const JSON_PLAYER_LOGO	= [SbJSON.PLAYER_LOGO_1P,	SbJSON.PLAYER_LOGO_2P];
*/
class YmsbLogoCheck extends YmsbCheck {

	constructor(boxVorhTop, boxFromTop01, boxFromTop02, boxVorhChara, boxFromChara01, boxFromChara02) {
		super();
		this.arrLogoTop			= new Array(2);
		this.arrLogoTop[0]		= new YmsbAnime(
									1.0, "", "", "", "", 1.0, SbCSS.BOX_LOGO_TOP_1P,	boxVorhTop,		boxFromTop01,	ANI_DELY_ON_BOX_LOGO);
		this.arrLogoTop[1]		= new YmsbAnime(
									1.0, "", "", "", "", 1.0, SbCSS.BOX_LOGO_TOP_2P,	boxVorhTop,		boxFromTop02,	ANI_DELY_ON_BOX_LOGO);
		this.arrLogoChara		= new Array(2);
		this.arrLogoChara[0]	= new YmsbAnime(
									1.0, "", "", "", "", 1.0, SbCSS.BOX_LOGO_CHARA_1P,	boxVorhChara,	boxFromChara01,	ANI_DELY_ON_BOX_LOGO);
		this.arrLogoChara[1]	= new YmsbAnime(
									1.0, "", "", "", "", 1.0, SbCSS.BOX_LOGO_CHARA_2P,	boxVorhChara,	boxFromChara02,	ANI_DELY_ON_BOX_LOGO);
		this.currLogo = ["", ""];
		this.currSetting = YMSB_OFF;
	}

	// データ切り分け
	checkData() {
		const logoSetting = jsonData[SbJSON.LOGO_SETTING];
		for (let i = 0; i < 2; i++) {
			let newImage = jsonData[JSON_PLAYER_LOGO[i]];
			newImage = newImage.substring(0,4);
			let imgURL = "";
			let cssProp = "";
			if ("" != newImage) {
				imgURL = YMSB_URL_LOGO + newImage + YMSB_IMAGE_EXT;
				cssProp = {"background-image" : "url(" + imgURL + ")"};
			}

			if		(YMSB_OFF_ON == currScoreBoard) {
				if  (YMSB_ON != logoSetting) {
					this.arrLogoTop[i].animeOn("", "", "", imgURL, cssProp, false);
				}
				else {
					this.arrLogoChara[i].animeOn("", "", "", imgURL, cssProp, true);
				}
			}
			else if	(YMSB_ON_OFF == currScoreBoard) {
				if  (YMSB_ON != this.currSetting) {
					this.arrLogoTop[i].animeOff();
				}
				else {
					this.arrLogoChara[i].animeOff(true);
				}
			}
			else if	(YMSB_ON == currScoreBoard) {
				if		(logoSetting != this.currSetting) {
					if  (YMSB_ON != logoSetting) {
						this.arrLogoChara[i].animeOff(true);
						this.arrLogoTop[i].animeOn("", "", "", imgURL, cssProp, false);
					}
					else {
						this.arrLogoTop[i].animeOff();
						this.arrLogoChara[i].animeOn("", "", "", imgURL, cssProp, true);
					}
				}
				else {
					if  (YMSB_ON != logoSetting) {
						this.arrLogoTop[i].animeUpdate("", "", "", imgURL, cssProp, false);
					}
					else {
						this.arrLogoChara[i].animeUpdate("", "", "", imgURL, cssProp, true);
					}
				}
			}
			else {
				// nop
			}
			this.currLogo[i] = newImage;
		}
		this.currSetting = logoSetting;
	}
}
