// ■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
//
//	チーム名の更新確認
//
// ■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■

class YmsbNowCheck extends YmsbCheck {

	constructor(txtVorh, txtFrom01, txtFrom02, boxVorh, boxFrom01, boxFrom02) {
		super();
		this.arrNow = new Array(2);
		this.arrNow[0] = new YmsbAnime(
							1.0, SbCSS.TXT_NOW_1P, txtVorh, txtFrom01, ANI_DELY_ON_TXT_NOW, 
							1.0, SbCSS.BOX_NOW_1P, boxVorh, boxFrom01, ANI_DELY_ON_BOX_NOW);
		this.arrNow[1] = new YmsbAnime(
							1.0, SbCSS.TXT_NOW_2P, txtVorh, txtFrom02, ANI_DELY_ON_TXT_NOW, 
							1.0, SbCSS.BOX_NOW_2P, boxVorh, boxFrom02, ANI_DELY_ON_BOX_NOW);
		this.arrStar = new Array(2);
		this.arrStar[0] = new YmsbAnime(
							1.0, SbCSS.TXT_STAR_1P, txtVorh, "0px",     ANI_DELY_ON_TXT_STAR, 
							1.0, SbCSS.BOX_STAR_1P, boxVorh, boxFrom01, ANI_DELY_ON_BOX_STAR);
		this.arrStar[1] = new YmsbAnime(
							1.0, SbCSS.TXT_STAR_2P, txtVorh, "0px",     ANI_DELY_ON_TXT_STAR, 
							1.0, SbCSS.BOX_STAR_2P, boxVorh, boxFrom02, ANI_DELY_ON_BOX_STAR);
		this.currHide		= YMSB_OFF;
		this.currStarMax	= 0;
		for (let i = 0; i < 2; i++) {
			this.arrStar[i].currData = 0;
		}
	}

	// データ切り分け
	checkData() {
		let newHide		= jsonData[SbJSON.HIDE_NOW_MEMBER];
		let newStarMax	= jsonData[SbJSON.STAR_MAX];
		let jsonMemberName = [];
		for (let i = 0; i < 2; i++){
			jsonMemberName[i]	= jsonData[JSON_MEMBER_NAME[i]];
		}

		for (let i = 0; i < 2; i++) {
			const skinNumber	= cSkin.currSkinURL;
			let   imgURLNow		= skinNumber + FILE_BOX_NOW[i];
			const imgURLStar	= skinNumber + FILE_BOX_STAR[i];
			let txtStar			= jsonData[JSON_STAR[i]];
			let newOrder		= parseInt(jsonData[JSON_MEMBER_ORDER[i]]);
			let txtNew;
			if (YMSB_OFF != newHide) {
				txtNew		= "";
			}
			else if (0 == newOrder) {
				txtNew		= jsonData[JSON_PLAYER_NOW[i]];
			}
			else {
				txtNew		= jsonMemberName[i][newOrder - 1];
			}

			if ("" == txtNew) {
				imgURLNow	= "";
			}

			if (
				(YMSB_OFF_ON == currScoreBoard && YMSB_OFF == newHide)
			||  (YMSB_ON     == currScoreBoard && YMSB_ON  == this.currHide && YMSB_OFF == newHide)
			) {
				this.arrNow[i].animeOn(txtNew, "", "", imgURLNow, "", false);
				if (0 <	newStarMax) {
					this.arrStar[i].animeOn(txtStar, "", "", imgURLStar, "", false);
				}
			}
			else if (
				(YMSB_ON_OFF == currScoreBoard && YMSB_OFF == this.currHide)
			||  (YMSB_ON     == currScoreBoard && YMSB_OFF == this.currHide && YMSB_OFF != newHide)
			) {
				this.arrNow[i].animeOff();
				if (0 <	this.currStarMax) {
					this.arrStar[i].animeOff();
				}
			}
			else if (
				(YMSB_ON == currScoreBoard && YMSB_OFF == this.currHide && YMSB_OFF == newHide)
			) {
				this.arrNow[i].animeUpdate(txtNew, "", "", imgURLNow, "", false);

				if  (0 == this.currStarMax && 0 <  newStarMax) {
					this.arrStar[i].animeOn(txtStar, "", "", imgURLStar, "", false);
				}
				else if
					(0 <  this.currStarMax && 0 == newStarMax) {
					this.arrStar[i].animeOff();
				}
				else if 
					(0 <  this.currStarMax && 0 <  newStarMax) {
					this.arrStar[i].animeUpdate(txtStar, "", "", imgURLStar, "", false, ANI_CHANGE_TYPE_ROLL_Y);
				}
				else {
					// nop
				}
			}
			else {
				// nop
			}
		}
	this.currHide		= newHide;
	this.currStarMax	= newStarMax;
	}
}