// ■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
//
//	スコアの更新確認
//
// ■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■

class YmsbScoreCheck extends YmsbCheck {

	SCORE_VIEW_OFF = "1";
	SCORE_VIEW_ON  = "0";

	constructor(txtVorh, txtFrom01, txtFrom02, boxVorh, boxFrom01, boxFrom02) {
		super();
		this.arrScore		= new Array(2);
		this.arrScore[0]	= new YmsbAnime(
			1.0, SbCSS.TXT_SCORE_1P, txtVorh, txtFrom01, ANI_DELY_ON_TXT_SCORE,
			1.0, SbCSS.BOX_SCORE_1P, boxVorh, boxFrom01, ANI_DELY_ON_BOX_SCORE);
		this.arrScore[1]	= new YmsbAnime(
			1.0, SbCSS.TXT_SCORE_2P, txtVorh, txtFrom02, ANI_DELY_ON_TXT_SCORE,
			1.0, SbCSS.BOX_SCORE_2P, boxVorh, boxFrom02, ANI_DELY_ON_BOX_SCORE);
		this.currHide   	= YMSB_OFF;
	}

	// データ切り分け
	checkData() {
		const newHide		= jsonData[SbJSON.HIDE_SCORE];

		for (let i = 0; i < 2; i++) {
			const txtNew		= jsonData[JSON_SCORE[i]];
			const skinNumber	= cSkin.currSkinURL;
			const imgURL		= skinNumber + FILE_BOX_SCORE[i];
			if (YMSB_OFF_ON == currScoreBoard) {
				if (this.SCORE_VIEW_OFF != newHide) {
					this.arrScore[i].animeOn(txtNew, "", "", imgURL, "", false);
				}
			}
			else if (YMSB_ON_OFF == currScoreBoard) {
				if (this.SCORE_VIEW_OFF != this.currHide) {
					this.arrScore[i].animeOff();
				}
			}
			else if (YMSB_ON == currScoreBoard) {
				if  (this.SCORE_VIEW_OFF == this.currHide && this.SCORE_VIEW_OFF != newHide ) {
					this.arrScore[i].animeOn(txtNew, "", "", imgURL, "", false);
				}
				else if
					(this.SCORE_VIEW_OFF != this.currHide && this.SCORE_VIEW_OFF == newHide ) {
					this.arrScore[i].animeOff();
				}
				else if
					(this.SCORE_VIEW_OFF != this.currHide && this.arrScore[i].currData != txtNew) {
					this.arrScore[i].animeUpdate(txtNew, "", "", imgURL, "", false, ANI_CHANGE_TYPE_ROLL_Y);
				}
				else {
					// nop
				}
			}
			else {
				// nop
			}
		}
		this.currHide   = newHide;
	}
}