// ■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
//
//	チーム名の更新確認
//
// ■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■

class YmsbTeamNameCheck extends YmsbCheck {

	constructor(txtVorh, txtFrom01, txtFrom02, boxVorh, boxFrom01, boxFrom02) {
		super();
		this.arrTeam = new Array(2);
		this.arrTeam[0] = new YmsbAnime(
			1.0, SbCSS.TXT_TEAM_1P, txtVorh, txtFrom01, ANI_DELY_ON_TXT_TEAM, 
			1.0, SbCSS.BOX_TEAM_1P, boxVorh, boxFrom01, ANI_DELY_ON_BOX_TEAM);
		this.arrTeam[1] = new YmsbAnime(
			1.0, SbCSS.TXT_TEAM_2P, txtVorh, txtFrom02, ANI_DELY_ON_TXT_TEAM, 
			1.0, SbCSS.BOX_TEAM_2P, boxVorh, boxFrom02, ANI_DELY_ON_BOX_TEAM);
		}

	animeRestart() {
		this.arrTeam.forEach(function (element) {element.animeRestart();});
	}

	// データ切り分け
	checkData() {
		for (let i = 0; i < 2; i++) {
			let txtNew			= jsonData[JSON_PLAYER_NAME[i]];
			const txtNow		= jsonData[JSON_PLAYER_NOW[i]];
			const txtLose		= jsonData[JSON_PLAYER_LOSER[i]];
			const skinNumber	= cSkin.currSkinURL;
			const imgURL		= skinNumber + FILE_BOX_TEAM[i];
			if (YMSB_ON == txtLose) {
				txtNew += YMSB_TXT_LOSERS;
			}

			if (YMSB_OFF_ON == currScoreBoard) {
				this.arrTeam[i].animeOn(txtNew, txtNow, "", imgURL, "", false);
			}
			else if (YMSB_ON_OFF == currScoreBoard) {
				this.arrTeam[i].animeOff();
			}
			else if (YMSB_ON == currScoreBoard) {
				this.arrTeam[i].animeUpdate(txtNew, txtNow, "", imgURL, "", false);
			}
			else { // (YMSB_OFF == currScoreBoard)
				// nop
			}
		}
		return this.arrTeam[0].isAniUpdate || this.arrTeam[1].isAniUpdate;
	}
}
