// ■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
//
//	JSONファイルからデータを取得しフォームに展開する
//
// ■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■

const setDataFromJson = () => {
	jQuery("#pScore1").val(dataFromJson["pScore1"]);
	jQuery("#pScore2").val(dataFromJson["pScore2"]);
	jQuery("#stage").val(dataFromJson["stage"]);
	jQuery("#pTeamNo1").val(dataFromJson["pTeamNo1"]);
	jQuery("#pTeamNo2").val(dataFromJson["pTeamNo2"]);
	jQuery("#pName1").val(dataFromJson["pName1"]);
	jQuery("#pName2").val(dataFromJson["pName2"]);
	jQuery("#bottomView").val(dataFromJson["bottomView"]);

	const arrJSONLBScores1p = dataFromJson["LBscores1"];
	const arrJSONLBScores2p = dataFromJson["LBscores2"];
	for (let set = 1; set <= YMSB_MAX_SETS; set++) {
		let setNum  = ('00' + set).slice(-2);
		if (YMSB_TYPE_EXPERT == YMSB_JSON_TYPE) {
			jQuery(retID("#LBs1_", setNum)).val(arrJSONLBScores1p[set - 1]);
			jQuery(retID("#LBs2_", setNum)).val(arrJSONLBScores2p[set - 1]);
		}
		else {
			jQuery(retID("#LBs1_", setNum)).prop("checked", (arrJSONLBScores1p[set - 1] == 1 ? true : false));
			jQuery(retID("#LBs2_", setNum)).prop("checked", (arrJSONLBScores2p[set - 1] == 1 ? true : false));
		}
	}

	if (YMSB_TYPE_EXPERT == YMSB_JSON_TYPE) {
		jQuery("#pStar1").val(dataFromJson["pStar1"]);
		jQuery("#pStar2").val(dataFromJson["pStar2"]);
		jQuery("#hideMember").val(dataFromJson["hideMember"]);
		jQuery("#hideNowMember").val(dataFromJson["hideNowMember"]);
		jQuery("#mainAnimation").val(dataFromJson["mainAnimation"]);
		jQuery("#winAnime").val(dataFromJson["winAnime"]);
		jQuery("#lang").val(dataFromJson["lang"]);
		jQuery("#stinger").val(dataFromJson["stinger"]);

		jQuery("#pComm1").val(dataFromJson["pComm1"]);
		jQuery("#pComm2").val(dataFromJson["pComm2"]);
		jQuery("#pLogo1").val(dataFromJson["pLogo1"]);
		jQuery("#pLogo2").val(dataFromJson["pLogo2"]);
		jQuery("#pNowName1").val(dataFromJson["pNowName1"]);
		jQuery("#pNowName2").val(dataFromJson["pNowName2"]);
		jQuery("#pBack1").val(dataFromJson["pBack1"]);
		jQuery("#pBack2").val(dataFromJson["pBack2"]);
		jQuery("#pLoser1").prop("checked", (dataFromJson["pLoser1"]));
		jQuery("#pLoser2").prop("checked", (dataFromJson["pLoser2"]));
		jQuery('input:radio[name="mOrder1"]').val([dataFromJson["mOrder1"]]);
		jQuery('input:radio[name="mOrder2"]').val([dataFromJson["mOrder2"]]);

		const arrJSONMemberComm1p = dataFromJson["mComm1"];
		const arrJSONMemberComm2p = dataFromJson["mComm2"];
		const arrJSONMemberLoser1p = dataFromJson["mLoser1"];
		const arrJSONMemberLoser2p = dataFromJson["mLoser2"];
		const arrJSONMemberName1p = dataFromJson["mName1"];
		const arrJSONMemberName2p = dataFromJson["mName2"];
		const arrJSONMemberBack1p = dataFromJson["mBack1"];
		const arrJSONMemberBack2p = dataFromJson["mBack2"];
		const arrJSONMemberLife1p = dataFromJson["mLife1"];
		const arrJSONMemberLife2p = dataFromJson["mLife2"];
		for (let i = 0; i < YMSB_MAX_MEMBER; i++) {
			let member = i + 1;
			let memberNum  = ('00' + member).slice(-2);
			jQuery(retID("#mName1_", memberNum)).val(arrJSONMemberName1p[i]);
			jQuery(retID("#mName2_", memberNum)).val(arrJSONMemberName2p[i]);
			jQuery(retID("#mComm1_", memberNum)).val(arrJSONMemberComm1p[i]);
			jQuery(retID("#mComm2_", memberNum)).val(arrJSONMemberComm2p[i]);
			jQuery(retID("#mLoser1_", memberNum)).prop("checked", (arrJSONMemberLoser1p[i]));
			jQuery(retID("#mLoser2_", memberNum)).prop("checked", (arrJSONMemberLoser2p[i]));
			jQuery(retID("#mLife1_", memberNum)).val(arrJSONMemberLife1p[i]);
			jQuery(retID("#mLife2_", memberNum)).val(arrJSONMemberLife2p[i]);
			if (YMSB_MAX_MEMBACK > i) {
				jQuery(retID("#mBack1_", memberNum)).val(arrJSONMemberBack1p[i]);
				jQuery(retID("#mBack2_", memberNum)).val(arrJSONMemberBack2p[i]);
			}
		}
		const arrJSONBottomText = dataFromJson["bottomText"];

		jQuery("#LB_Round").prop("checked", (dataFromJson["LBViewRound"]));
		jQuery("#LB_Draw").prop("checked", (dataFromJson["LBAddDraw"]));
		jQuery("#pNextNo1").val(dataFromJson["pNextNo1"]);
		jQuery("#pNextNo2").val(dataFromJson["pNextNo2"]);
		jQuery("#pNextName1").val(dataFromJson["pNextName1"]);
		jQuery("#pNextName2").val(dataFromJson["pNextName2"]);
		jQuery("#bottomImage").val(dataFromJson["bottomImage"]);
		jQuery("#bottomSize").val(dataFromJson["bottomSize"]);
		jQuery("#bottomText01").val(arrJSONBottomText[0]);
		jQuery("#bottomText02").val(arrJSONBottomText[1]);
		jQuery("#scFont").val(dataFromJson["scFont"]);
		jQuery("#scSkin").val(dataFromJson["scSkin"]);
		jQuery("#hideScore").val(dataFromJson["hideScore"]);
		jQuery("#winStar").val(dataFromJson["winStar"]);
		jQuery("#fixMemberHeight").val(dataFromJson["fixMemberHeight"]);
		jQuery("#maxMemberLives").val(dataFromJson["maxMemberLives"]);
		jQuery("#logoSetting").val(dataFromJson["logoSetting"]);
		jQuery("#eventName").val(dataFromJson["eventName"]);
		jQuery("#eventSwitch").val(dataFromJson["eventSwitch"]);
		jQuery("#remoteSwitch").val(dataFromJson["remoteSwitch"]);
		jQuery("#remoteWebAPI").val(dataFromJson["remoteWebAPI"]);
		jQuery("#stingerType").val(dataFromJson["stingerType"]);
		jQuery("#stingerAfter").val(dataFromJson["stingerAfter"]);
		jQuery("#stingerTextType").val(dataFromJson["stingerTextType"]);
		jQuery("#stingerText").val(dataFromJson["stingerText"]);
		jQuery("#stingerImage").val(dataFromJson["stingerImage"]);
		jQuery("#stingerWindow").val(dataFromJson["stingerWindow"]);
	}
}
